Page MenuHomePhabricator

implementing Cursor.get_included_file in python bindings
ClosedPublic

Authored by jlaz on May 3 2018, 3:20 AM.

Details

Summary

adding function: Cursor.get_included_file , so the C API's clang_getIncludedFile function is available on the python binding interface
also adding test to unittests

related ticket: https://bugs.llvm.org/show_bug.cgi?id=15223

Diff Detail

Repository
rL LLVM

Event Timeline

jlaz created this revision.May 3 2018, 3:20 AM
jlaz edited the summary of this revision. (Show Details)May 3 2018, 3:24 AM
jbcoe accepted this revision.May 5 2018, 1:50 AM
This revision is now accepted and ready to land.May 5 2018, 1:50 AM
jlaz added a comment.May 8 2018, 11:53 PM

@jbcoe could you commit this change? I don't have repository access for commit.
Thank you.

jbcoe added a comment.May 9 2018, 12:10 AM

I will try to commit this today.

This revision was automatically updated to reflect the committed changes.